/**
 *Resource Panel App
 * Implementing Resource Panel App
 */
var ResourcePanelApp = ResourcePanelApp || {}; //Define Resource Panel App namespace.
/**
 *Constructor UNAS App
 */
ResourcePanelApp.App = function () {
	this.id = 'Resource Panel';
	this.name = 'Resource Panel';
	this.version = '6.0.29';
	this.menuIcon = '/apps/resourcepanel/images/logo.png?v=6.0.29&';
	this.shortcutIcon = '/apps/resourcepanel/images/logo.png?v=6.0.29&';

	this.ResourcePanelAppWindow = function () {
    jQuery('#resourcepanel').slideToggle();
		if (jQuery('#dbz').length == 0) {
			jQuery('#resourcepanel').load('/apps/resourcepanel/index.html?v=6.0.29&').click(function(){
        jQuery('#resourcepanel').css('z-index', '1000000000');
      });
		} else {
			window.dbz.showResourcePanel();
			window.dbz.startUpdate();
		}
	};

	this.ResourcePanelUninstall = function () {
		UNAS.RemoveAppFromApps(this.name);
	};

	var OnChangeLanguage = function (e) {
		UNAS.SetMenuTitle('Resource Panel',UNAS._('Resource Panel')); //translate menu
        UNAS.SetShortcutTitle('Resource Panel', UNAS._('Resource Panel')); //translate shortcut

        if (typeof self.window !== 'undefined') {
            //need to translate the window title, menu and shortcut
            UNAS.SetWindowTitle('ResourcePanelAppWindow',UNAS._('Resource Panel'));
        }
	};
	UNAS.LoadTranslation('/apps/resourcepanel/languages/Translation?v=' + this.version, OnChangeLanguage);
	UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
	UNAS.CreateApp(this.name, this.shortcutIcon, this.ResourcePanelAppWindow, this.ResourcePanelUninstall);
};

new ResourcePanelApp.App();